%{?mingw_package_header}

Name:          mingw-rest
Version:       0.7.92
Release:       1%{?dist}
Summary:       A library for access to RESTful web services

Group:         System Environment/Libraries
License:       LGPLv2
URL:           https://wiki.gnome.org/Projects/Librest
Source0:       http://download.gnome.org/sources/rest/0.7/rest-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 98
BuildRequires:  mingw64-filesystem >= 98
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-libsoup
BuildRequires:  mingw32-libxml2
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-libsoup
BuildRequires:  mingw64-libxml2

%description
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n     mingw32-rest
Requires:       pkgconfig
Summary:        A library for access to RESTful web services

%description -n mingw32-rest
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n     mingw32-rest-static
Requires:       pkgconfig
Requires:       mingw32-rest = %{version}-%{release}
Summary:        A library for access to RESTful web services

%description -n mingw32-rest-static
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n     mingw64-rest
Requires:       pkgconfig
Summary:        A library for access to RESTful web services

%description -n mingw64-rest
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n     mingw64-rest-static
Requires:       pkgconfig
Requires:       mingw64-rest = %{version}-%{release}
Summary:        A library for access to RESTful web services

%description -n mingw64-rest-static
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%{?mingw_debug_package}

%prep
%setup -q -n rest-%{version}

%build
%mingw_configure                            \
    --disable-gtk-doc                       \
    --enable-introspection=no               \
    --enable-static

%mingw_make %{?_smp_mflags} V=1

%install
%mingw_make install "DESTDIR=$RPM_BUILD_ROOT" INSTALL="install -p"

# Libtool files don't need to be bundled
find $RPM_BUILD_ROOT -name "*.la" -delete

%files -n mingw32-rest
%doc AUTHORS COPYING README
%{mingw32_bindir}/librest-0.7-0.dll
%{mingw32_libdir}/librest-0.7.dll.a
%{mingw32_bindir}/librest-extras-0.7-0.dll
%{mingw32_libdir}/librest-extras-0.7.dll.a
%{mingw32_libdir}/pkgconfig/rest*
%{mingw32_includedir}/rest-0.7

%files -n mingw32-rest-static
%{mingw32_libdir}/librest-0.7.a
%{mingw32_libdir}/librest-extras-0.7.a

%files -n mingw64-rest
%doc AUTHORS COPYING README
%{mingw64_bindir}/librest-0.7-0.dll
%{mingw64_libdir}/librest-0.7.dll.a
%{mingw64_bindir}/librest-extras-0.7-0.dll
%{mingw64_libdir}/librest-extras-0.7.dll.a
%{mingw64_libdir}/pkgconfig/rest*
%{mingw64_includedir}/rest-0.7

%files -n mingw64-rest-static
%{mingw64_libdir}/librest-0.7.a
%{mingw64_libdir}/librest-extras-0.7.a

%changelog
* Mon Nov 24 2014 Fabiano Fidêncio <fidencio@redhat.com> 0.7.92-1
- Initial Fedora packaging
